   function [c,y]=acepst(x,N,nc,GRAPH)
 %
 % function [c,y]=acepst(x,N,nc,GRAPH)
 % Cepstral analysis and signal processing
 %
 % x - given sequence		  c - complex cepstrum
 % N - number of values		  y - sequence after processing
 % nc- cutoff index		  GRAPH - graph display (for GRAPH=1)
 %
   if exist('N')==0                 % Default values
     N=64; alpha=0.5; n1=40; nc=30; GRAPH=1;
     n=[0:N-1]';
     r=exp(-0.1*n).*sin(pi/4*n); r=r-mean(r);
     x=r+alpha*[zeros(n1-1,1); r(1:N-n1+1)]; X=fft(x);
     w=[ones(nc,1); zeros(N-nc,1)];
   end
 %
 % direct and inverse characteristic system application
 %
   c=cceps(x);
   y=ifft(exp(fft(w.*c)));
 %
 % if GRAPH~=1, return, end	    % Result display
 %
   delete(get(0,'children'))  
   figure('name','ACEPST','units','normal','position',[0.29,0.01,0.7,0.8]); 
   
   subplot(221);
   plot(x(2:N)); grid on
     xlabel('Time'); title('ORIGINAL SEQUENCE');
   subplot(222);
   plot(real(y(1:N-1))); grid on
     xlabel('Time'); title('PROCESSED SEQUENCE');
   subplot(223);
   plot(abs(X)); grid on
     xlabel('Frequency'); title('ORIGINAL SEQUENCE SPECTRUM');
   subplot(224);
   plot(real(c)); grid on
     xlabel('Time'); title('COMPLEX CEPSTRUM');
