   function [X]=astft(x,M,N,S,GRAPH)
 %
 % function [X]=astft(x,M,N,S,GRAPH)
 % Short-time Fourier transform based on the rectangular window function
 %	     of a given length
 %
 % x - given sequence		  X - short-time Fourier transform
 % M - number of given values
 % S - step of time indices
 % N - window length		  GRAPH - graph display (for GRAPH=1)
 %
 % if exist('N')==0                 % Default values
     N=32; M=100; S=4; GRAPH=1; om0=0.01;
     j=0; n=[0:M-1]; x=sin(om0*n.^2);
 % end 

 %
   for n=N:S:M
     xw=x(n-(N-1):n);
     j=j+1; XW=fft(xw);
     X(j,:)=XW(1:N/2);
   end; 

 % if GRAPH~=1, return, end	    % Result display
 %
   delete(get(0,'children'))  
   figure('name','ASTFT','units','normal','position',[0.29,0.01,0.7,0.8]); 
  
   axes('position',[0.04 0.1 0.44 0.85],'xtick',[],'ytick',[],'box','on')
      title('MAGNITUDE STFT')
   axes('position',[0.1 0.2 0.35 0.65]);
      mesh(abs(X));grid on; colormap([0 0 0])
      [s1,s2]=size(X); 
      axis([0 s2 0 s1 -inf 15.05]); 
      line([s2 s2],[s1 s1],[0 15.05],'linestyle',':','color','w');
      xlabel('Frequency'); ylabel('Time');
             
  subplot(222)
      plot(x,'k'); grid on
      axis([0 100 -1 1]);
      title('GIVEN SEQUENCE'); xlabel('Time');
      
  subplot(224)
      plot([0:N/2-1]/N, abs(X(j,:)),'k'); grid on
      axis([0 0.501 0 10]);
      title('LAST SECTION MAGNITUDE STFT'); xlabel('Frequency');
 